Index: contrib/crossrpms/rtems4.9/arm/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.9/arm/Makefile.am	(revision 3f010232f419a2dcbccac2570457d103553c10fe)
+++ contrib/crossrpms/rtems4.9/arm/Makefile.am	(revision d043ebc2d9600af4ffb9cea61da74df05070b2a4)
@@ -11,7 +11,7 @@
 BINUTILS_OPTS +=
 
-GCC_VERS = 4.3.1
+GCC_VERS = 4.3.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 13%{?dist}
+GCC_RPMREL = 15%{?dist}
 NEWLIB_VERS = 1.16.0
 include ../gcc.am
Index: contrib/crossrpms/rtems4.9/arm/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/arm/gcc-sources.add	(revision 3f010232f419a2dcbccac2570457d103553c10fe)
+++ contrib/crossrpms/rtems4.9/arm/gcc-sources.add	(revision d043ebc2d9600af4ffb9cea61da74df05070b2a4)
@@ -1,2 +1,6 @@
+%if "%{gcc_version}" == "4.3.2"
+Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.9/gcc-core-4.3.2-rtems4.9-20080828.diff
+%endif
 %if "%{gcc_version}" == "4.3.1"
 Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
@@ -6,4 +10,7 @@
 
 %if %build_cxx
+%if "%{gcc_version}" == "4.3.2" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
 %if "%{gcc_version}" == "4.3.1" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
Index: contrib/crossrpms/rtems4.9/avr/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.9/avr/Makefile.am	(revision 3f010232f419a2dcbccac2570457d103553c10fe)
+++ contrib/crossrpms/rtems4.9/avr/Makefile.am	(revision d043ebc2d9600af4ffb9cea61da74df05070b2a4)
@@ -11,7 +11,7 @@
 BINUTILS_OPTS +=
 
-GCC_VERS = 4.3.1
+GCC_VERS = 4.3.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 13%{?dist}
+GCC_RPMREL = 15%{?dist}
 NEWLIB_VERS = 1.16.0
 include ../gcc.am
Index: contrib/crossrpms/rtems4.9/avr/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/avr/gcc-sources.add	(revision 3f010232f419a2dcbccac2570457d103553c10fe)
+++ contrib/crossrpms/rtems4.9/avr/gcc-sources.add	(revision d043ebc2d9600af4ffb9cea61da74df05070b2a4)
@@ -1,2 +1,6 @@
+%if "%{gcc_version}" == "4.3.2"
+Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.9/gcc-core-4.3.2-rtems4.9-20080828.diff
+%endif
 %if "%{gcc_version}" == "4.3.1"
 Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
@@ -6,4 +10,7 @@
 
 %if %build_cxx
+%if "%{gcc_version}" == "4.3.2" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
 %if "%{gcc_version}" == "4.3.1" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
Index: contrib/crossrpms/rtems4.9/bfin/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.9/bfin/Makefile.am	(revision 3f010232f419a2dcbccac2570457d103553c10fe)
+++ contrib/crossrpms/rtems4.9/bfin/Makefile.am	(revision d043ebc2d9600af4ffb9cea61da74df05070b2a4)
@@ -11,7 +11,7 @@
 BINUTILS_OPTS +=
 
-GCC_VERS = 4.3.1
+GCC_VERS = 4.3.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 13%{?dist}
+GCC_RPMREL = 15%{?dist}
 NEWLIB_VERS = 1.16.0
 include ../gcc.am
Index: contrib/crossrpms/rtems4.9/bfin/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/bfin/gcc-sources.add	(revision 3f010232f419a2dcbccac2570457d103553c10fe)
+++ contrib/crossrpms/rtems4.9/bfin/gcc-sources.add	(revision d043ebc2d9600af4ffb9cea61da74df05070b2a4)
@@ -1,2 +1,6 @@
+%if "%{gcc_version}" == "4.3.2"
+Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.9/gcc-core-4.3.2-rtems4.9-20080828.diff
+%endif
 %if "%{gcc_version}" == "4.3.1"
 Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
@@ -6,4 +10,7 @@
 
 %if %build_cxx
+%if "%{gcc_version}" == "4.3.2" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
 %if "%{gcc_version}" == "4.3.1" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
Index: contrib/crossrpms/rtems4.9/h8300/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.9/h8300/Makefile.am	(revision 3f010232f419a2dcbccac2570457d103553c10fe)
+++ contrib/crossrpms/rtems4.9/h8300/Makefile.am	(revision d043ebc2d9600af4ffb9cea61da74df05070b2a4)
@@ -11,7 +11,7 @@
 BINUTILS_OPTS +=
 
-GCC_VERS = 4.3.1
+GCC_VERS = 4.3.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 13%{?dist}
+GCC_RPMREL = 15%{?dist}
 NEWLIB_VERS = 1.16.0
 include ../gcc.am
Index: contrib/crossrpms/rtems4.9/h8300/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/h8300/gcc-sources.add	(revision 3f010232f419a2dcbccac2570457d103553c10fe)
+++ contrib/crossrpms/rtems4.9/h8300/gcc-sources.add	(revision d043ebc2d9600af4ffb9cea61da74df05070b2a4)
@@ -1,2 +1,6 @@
+%if "%{gcc_version}" == "4.3.2"
+Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.9/gcc-core-4.3.2-rtems4.9-20080828.diff
+%endif
 %if "%{gcc_version}" == "4.3.1"
 Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
@@ -6,4 +10,7 @@
 
 %if %build_cxx
+%if "%{gcc_version}" == "4.3.2" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
 %if "%{gcc_version}" == "4.3.1" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
Index: contrib/crossrpms/rtems4.9/i386/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.9/i386/Makefile.am	(revision 3f010232f419a2dcbccac2570457d103553c10fe)
+++ contrib/crossrpms/rtems4.9/i386/Makefile.am	(revision d043ebc2d9600af4ffb9cea61da74df05070b2a4)
@@ -11,7 +11,7 @@
 BINUTILS_OPTS +=
 
-GCC_VERS = 4.3.1
+GCC_VERS = 4.3.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 13%{?dist}
+GCC_RPMREL = 15%{?dist}
 NEWLIB_VERS = 1.16.0
 include ../gcc.am
Index: contrib/crossrpms/rtems4.9/i386/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/i386/gcc-sources.add	(revision 3f010232f419a2dcbccac2570457d103553c10fe)
+++ contrib/crossrpms/rtems4.9/i386/gcc-sources.add	(revision d043ebc2d9600af4ffb9cea61da74df05070b2a4)
@@ -1,2 +1,6 @@
+%if "%{gcc_version}" == "4.3.2"
+Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.9/gcc-core-4.3.2-rtems4.9-20080828.diff
+%endif
 %if "%{gcc_version}" == "4.3.1"
 Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
@@ -6,4 +10,7 @@
 
 %if %build_cxx
+%if "%{gcc_version}" == "4.3.2" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
 %if "%{gcc_version}" == "4.3.1" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
Index: contrib/crossrpms/rtems4.9/m68k/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.9/m68k/Makefile.am	(revision 3f010232f419a2dcbccac2570457d103553c10fe)
+++ contrib/crossrpms/rtems4.9/m68k/Makefile.am	(revision d043ebc2d9600af4ffb9cea61da74df05070b2a4)
@@ -11,7 +11,7 @@
 BINUTILS_OPTS +=
 
-GCC_VERS = 4.3.1
+GCC_VERS = 4.3.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 14%{?dist}
+GCC_RPMREL = 15%{?dist}
 NEWLIB_VERS = 1.16.0
 include ../gcc.am
Index: contrib/crossrpms/rtems4.9/m68k/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/m68k/gcc-sources.add	(revision 3f010232f419a2dcbccac2570457d103553c10fe)
+++ contrib/crossrpms/rtems4.9/m68k/gcc-sources.add	(revision d043ebc2d9600af4ffb9cea61da74df05070b2a4)
@@ -1,2 +1,6 @@
+%if "%{gcc_version}" == "4.3.2"
+Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.9/gcc-core-4.3.2-rtems4.9-20080828.diff
+%endif
 %if "%{gcc_version}" == "4.3.1"
 Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
@@ -6,4 +10,7 @@
 
 %if %build_cxx
+%if "%{gcc_version}" == "4.3.2" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
 %if "%{gcc_version}" == "4.3.1" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
Index: contrib/crossrpms/rtems4.9/mips/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.9/mips/Makefile.am	(revision 3f010232f419a2dcbccac2570457d103553c10fe)
+++ contrib/crossrpms/rtems4.9/mips/Makefile.am	(revision d043ebc2d9600af4ffb9cea61da74df05070b2a4)
@@ -11,7 +11,7 @@
 BINUTILS_OPTS +=
 
-GCC_VERS = 4.3.1
+GCC_VERS = 4.3.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 13%{?dist}
+GCC_RPMREL = 15%{?dist}
 NEWLIB_VERS = 1.16.0
 include ../gcc.am
Index: contrib/crossrpms/rtems4.9/mips/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/mips/gcc-sources.add	(revision 3f010232f419a2dcbccac2570457d103553c10fe)
+++ contrib/crossrpms/rtems4.9/mips/gcc-sources.add	(revision d043ebc2d9600af4ffb9cea61da74df05070b2a4)
@@ -1,2 +1,6 @@
+%if "%{gcc_version}" == "4.3.2"
+Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.9/gcc-core-4.3.2-rtems4.9-20080828.diff
+%endif
 %if "%{gcc_version}" == "4.3.1"
 Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
@@ -6,4 +10,7 @@
 
 %if %build_cxx
+%if "%{gcc_version}" == "4.3.2" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
 %if "%{gcc_version}" == "4.3.1" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
Index: contrib/crossrpms/rtems4.9/powerpc/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.9/powerpc/Makefile.am	(revision 3f010232f419a2dcbccac2570457d103553c10fe)
+++ contrib/crossrpms/rtems4.9/powerpc/Makefile.am	(revision d043ebc2d9600af4ffb9cea61da74df05070b2a4)
@@ -11,7 +11,7 @@
 BINUTILS_OPTS +=
 
-GCC_VERS = 4.3.1
+GCC_VERS = 4.3.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 13%{?dist}
+GCC_RPMREL = 15%{?dist}
 NEWLIB_VERS = 1.16.0
 include ../gcc.am
Index: contrib/crossrpms/rtems4.9/powerpc/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/powerpc/gcc-sources.add	(revision 3f010232f419a2dcbccac2570457d103553c10fe)
+++ contrib/crossrpms/rtems4.9/powerpc/gcc-sources.add	(revision d043ebc2d9600af4ffb9cea61da74df05070b2a4)
@@ -1,2 +1,6 @@
+%if "%{gcc_version}" == "4.3.2"
+Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.9/gcc-core-4.3.2-rtems4.9-20080828.diff
+%endif
 %if "%{gcc_version}" == "4.3.1"
 Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
@@ -6,4 +10,7 @@
 
 %if %build_cxx
+%if "%{gcc_version}" == "4.3.2" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
 %if "%{gcc_version}" == "4.3.1" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
Index: contrib/crossrpms/rtems4.9/sh/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.9/sh/Makefile.am	(revision 3f010232f419a2dcbccac2570457d103553c10fe)
+++ contrib/crossrpms/rtems4.9/sh/Makefile.am	(revision d043ebc2d9600af4ffb9cea61da74df05070b2a4)
@@ -11,7 +11,7 @@
 BINUTILS_OPTS +=
 
-GCC_VERS = 4.3.1
+GCC_VERS = 4.3.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 13%{?dist}
+GCC_RPMREL = 15%{?dist}
 NEWLIB_VERS = 1.16.0
 include ../gcc.am
Index: contrib/crossrpms/rtems4.9/sh/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/sh/gcc-sources.add	(revision 3f010232f419a2dcbccac2570457d103553c10fe)
+++ contrib/crossrpms/rtems4.9/sh/gcc-sources.add	(revision d043ebc2d9600af4ffb9cea61da74df05070b2a4)
@@ -1,2 +1,6 @@
+%if "%{gcc_version}" == "4.3.2"
+Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.9/gcc-core-4.3.2-rtems4.9-20080828.diff
+%endif
 %if "%{gcc_version}" == "4.3.1"
 Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
@@ -6,4 +10,7 @@
 
 %if %build_cxx
+%if "%{gcc_version}" == "4.3.2" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
 %if "%{gcc_version}" == "4.3.1" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
Index: contrib/crossrpms/rtems4.9/sparc/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.9/sparc/Makefile.am	(revision 3f010232f419a2dcbccac2570457d103553c10fe)
+++ contrib/crossrpms/rtems4.9/sparc/Makefile.am	(revision d043ebc2d9600af4ffb9cea61da74df05070b2a4)
@@ -11,7 +11,7 @@
 BINUTILS_OPTS +=
 
-GCC_VERS = 4.3.1
+GCC_VERS = 4.3.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 13%{?dist}
+GCC_RPMREL = 15%{?dist}
 NEWLIB_VERS = 1.16.0
 include ../gcc.am
Index: contrib/crossrpms/rtems4.9/sparc/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/sparc/gcc-sources.add	(revision 3f010232f419a2dcbccac2570457d103553c10fe)
+++ contrib/crossrpms/rtems4.9/sparc/gcc-sources.add	(revision d043ebc2d9600af4ffb9cea61da74df05070b2a4)
@@ -1,2 +1,6 @@
+%if "%{gcc_version}" == "4.3.2"
+Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.9/gcc-core-4.3.2-rtems4.9-20080828.diff
+%endif
 %if "%{gcc_version}" == "4.3.1"
 Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
@@ -6,4 +10,7 @@
 
 %if %build_cxx
+%if "%{gcc_version}" == "4.3.2" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
 %if "%{gcc_version}" == "4.3.1" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
